{
  "name": "moodlenet",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "start": "cross-env NODE_ENV=development node scripts/start.js --incremental",
    "build": "lingui extract --clean ; lingui compile ; cross-env NODE_ENV=production node scripts/build.js",
    "build-as-is": "cross-env NODE_ENV=production node scripts/build.js",
    "preinstall": "npx use-yarn",
    "precommit": "lint-staged",
    "add-locale": "lingui add-locale",
    "extract": "lingui extract --clean",
    "compile": "lingui compile",
    "docs": "typedoc --out docs src",
    "storybook": "start-storybook -p 5000 --docs",
    "build-storybook": "build-storybook --docs -c .storybook",
    "build-deploy-storybook": "./storybook_deploy.sh",
    "gqlcode": "node ./codegen",
    "gql:fetch-schema": "graphql get-schema --project"
  },
  "lint-staged": {
    "src/**/!(*.generated).{js,jsx,ts,tsx,json,css,md}": [
      "prettier --single-quote --write",
      "git add"
    ]
  },
  "babel": {
    "plugins": [
      "macros",
      "async-import"
    ],
    "presets": [
      "react-app",
      "@lingui/babel-preset-react"
    ]
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "dependencies": {
    "@absinthe/socket": "0.1.10",
    "@absinthe/socket-apollo-link": "0.1.11",
    "@apollo/react-common": "3.1.3",
    "@apollo/react-components": "3.1.3",
    "@apollo/react-hoc": "3.1.3",
    "@apollo/react-hooks": "3.1.3",
    "@babel/core": "7.1.6",
    "@babel/plugin-syntax-object-rest-spread": "7.2.0",
    "@babel/plugin-transform-react-jsx": "7.7.4",
    "@babel/runtime": "7.1.5",
    "@fortawesome/fontawesome-svg-core": "1.2.6",
    "@fortawesome/free-solid-svg-icons": "5.4.1",
    "@fortawesome/react-fontawesome": "0.1.3",
    "@graphql-codegen/near-operation-file-preset": "1.8.2",
    "@jumpn/utils-graphql": "0.5.3",
    "@lingui/babel-preset-react": "2.9",
    "@lingui/cli": "2.9",
    "@lingui/core": "2.8",
    "@lingui/macro": "2.9",
    "@lingui/react": "2.9",
    "@rebass/forms": "4.0.6",
    "@sentry/browser": "5.9.1",
    "@types/draft-js": "0.10.35",
    "@types/emoji-js": "3.4.0",
    "@types/lingui__core": "2.7",
    "@types/lingui__macro": "2.7.3",
    "@types/lingui__react": "2.8.1",
    "@types/react-dom": "16.9.4",
    "@types/react-mentions": "3.0.2",
    "@types/react-portal": "4.0.1",
    "@types/react-redux": "7.1.4",
    "@types/react-router-dom": "5.1.0",
    "@types/react-select": "3.0.2",
    "@types/react-toastify": "4.0.2",
    "@types/rebass": "4.0.3",
    "@types/styled-components": "4.0.0",
    "@types/styled-theming": "2.2.2",
    "@types/yup": "0.26.24",
    "algoliasearch": "3.32.1",
    "apollo-cache-inmemory": "1.3.10",
    "apollo-client": "2.6.4",
    "apollo-link": "1.2.13",
    "apollo-link-context": "1.0.10",
    "apollo-link-error": "1.1.7",
    "apollo-link-http": "1.5.6",
    "apollo-link-http-common": "^0.2.14",
    "apollo-link-logger": "1.2.3",
    "apollo-link-retry": "2.2.6",
    "apollo-link-state": "0.4.2",
    "autoprefixer": "7.1.6",
    "awesome-typescript-loader": "5.2.1",
    "axios": "0.19.0",
    "axios-hooks": "1.7.2",
    "babel-core": "7.0.0-bridge.0",
    "babel-eslint": "10.0.1",
    "babel-plugin-async-import": "2.0.2",
    "babel-plugin-macros": "2.4.2",
    "babel-preset-react-app": "6.1.0",
    "case-sensitive-paths-webpack-plugin": "2.1.2",
    "chalk": "1.1.3",
    "cross-env": "5.2.0",
    "css-loader": "1.0.0",
    "dompurify": "2.0.8",
    "dotenv": "6.1.0",
    "dotenv-expand": "4.2.0",
    "emoji-js": "3.4.1",
    "emoji-picker-react": "3.0.1",
    "eslint": "^6.6.0",
    "eslint-config-react-app": "2.1.0",
    "eslint-loader": "^3.0.2",
    "eslint-plugin-flowtype": "2.50.1",
    "eslint-plugin-import": "2.8.0",
    "eslint-plugin-jsx-a11y": "5.1.1",
    "eslint-plugin-react": "7.4.0",
    "extract": "1.0.0",
    "extract-files": "^5.0.1",
    "file-loader": "2.0.0",
    "formik": "2",
    "fs-extra": "3.0.1",
    "graphql": "14.5.8",
    "graphql-tag": "2.10.0",
    "husky": "0.14.3",
    "immutable": "4.0.0-rc.12",
    "interpolate-html-plugin": "3.0.0",
    "lint-staged": "7.3.0",
    "lodash": "4.17.15",
    "luxon": "1.17.2",
    "markdown-to-jsx": "6.10.3",
    "mini-css-extract-plugin": "0.4.3",
    "object-assign": "4.1.1",
    "phoenix": "1.4.0",
    "polished": "2.3.1",
    "postcss-flexbugs-fixes": "3.2.0",
    "postcss-loader": "3.0.0",
    "prettier": "1.19.1",
    "promise": "8.0.1",
    "raf": "3.4.0",
    "react": "16.12.0",
    "react-apollo": "3.1.3",
    "react-dev-utils": "6.0.4",
    "react-docgen-typescript": "1.10.0",
    "react-dom": "16.12.0",
    "react-dropzone": "10.2.0",
    "react-feather": "2.0.3",
    "react-formik-ui": "4.0.3",
    "react-instantsearch-dom": "6.1.0",
    "react-live": "2.1.2",
    "react-loadable": "5.5.0",
    "react-outside-click-handler": "1.2.2",
    "react-redux": "7.1.1",
    "react-router-dom": "5.1.2",
    "react-select": "3.0.4",
    "react-slick": "0.24.0",
    "react-tabs": "3.0.0",
    "react-toastify": "5.4.0",
    "rebass": "4.0.7",
    "recompose": "0.30.0",
    "remove-markdown": "0.3.0",
    "slick-carousel": "1.8.1",
    "style-loader": "0.23.1",
    "styled-components": "4.0.0",
    "styled-media-query": "2.1.1",
    "styled-theming": "2.2.0",
    "sw-precache-webpack-plugin": "0.11.5",
    "terser-webpack-plugin": "1.1.0",
    "tributejs": "3.7.3",
    "tslib": "1.9.3",
    "typedoc": "0.15.5",
    "typescript": "3.7.3",
    "url-loader": "1.1.1",
    "webpack": "4.20.2",
    "webpack-dev-server": "3.1.14",
    "webpack-manifest-plugin": "2.0.4",
    "webpack-rtl-plugin": "2.0.0",
    "whatwg-fetch": "2.0.3",
    "yup": "0.26.6"
  },
  "devDependencies": {
    "@babel/preset-typescript": "7.7.4",
    "@emotion/cache": "^10.0.14",
    "@emotion/core": "^10.0.14",
    "@emotion/styled": "^10.0.14",
    "@graphql-codegen/cli": "1.8.2",
    "@graphql-codegen/fragment-matcher": "1.8.2",
    "@graphql-codegen/introspection": "1.8.2",
    "@graphql-codegen/typescript": "1.8.2",
    "@graphql-codegen/typescript-operations": "1.8.2",
    "@graphql-codegen/typescript-react-apollo": "1.8.2",
    "@graphql-codegen/typescript-resolvers": "1.9.1",
    "@lingui/loader": "2.9",
    "@mdx-js/loader": "1.5.2",
    "@playlyfe/gql": "2.6.2",
    "@storybook/addon-a11y": "^5.3.18",
    "@storybook/addon-actions": "^5.3.18",
    "@storybook/addon-docs": "^5.3.18",
    "@storybook/addon-knobs": "^5.3.18",
    "@storybook/addon-storysource": "^5.3.18",
    "@storybook/addons": "^5.3.18",
    "@storybook/preset-typescript": "^3",
    "@storybook/react": "^5.3.18",
    "@storybook/source-loader": "^5.3.18",
    "@types/graphql": "14.5.0",
    "@types/luxon": "1.15.2",
    "@types/react-slick": "0.23.4",
    "@typescript-eslint/eslint-plugin": "2.19.2",
    "@typescript-eslint/parser": "2.19.2",
    "babel-loader": "8.0.6",
    "core-js": "2.6.10",
    "emotion-theming": "^10.0.14",
    "eslint-plugin-react-hooks": "2.4.0",
    "glob": "7.1.6",
    "graphql-cli": "3.0.14",
    "html-webpack-plugin": "3.2.0",
    "react-docgen-typescript-loader": "3.6.0",
    "shx": "0.3.2",
    "storybook-chromatic": "^3.5.5",
    "storybook-react-router": "1.0.8",
    "ts-loader": "6.2.1",
    "tsconfig-paths-webpack-plugin": "3.2.0",
    "use-yarn": "2.2.0"
  }
}
